library yin_azlistview;

import 'package:flutter/material.dart';
import 'package:yin_azlistview/yin/AzBean.dart';
import 'package:yin_azlistview/yin/AzListView.dart';

class GamePage extends StatefulWidget {
  @override
  GamePageState createState() => new GamePageState();
}

class GamePageState extends State<GamePage> {
  List<AzBean> cityList = new List();
  List<AzBean> topList = new List();

  @override
  void initState() {
    super.initState();
    load();
  }

  /// item-头部
  Widget itemHeaderView(AzBean bean) {
    return tagView(bean.headTag);
  }

  /// item-悬浮视图
  Widget tagView(String value) {
    return Container(
      height: 30,
      width: double.infinity,
      color: Colors.green[200],
      padding: EdgeInsets.only(left: 16, right: 16),
      alignment: Alignment.centerLeft,
      child: Text(value),
    );
  }

  /// item-内容
  Widget itemContentView(AzBean bean) {
    return GestureDetector(
      onTap: () {
        print('test ${bean.name}');
      },
      child: Container(
        height: 50,
        color: Colors.white,
        child: new Text(bean.name),
        alignment: Alignment.centerLeft,
        padding: EdgeInsets.only(left: 16, right: 16),
      ),
    );
  }

  Widget contentView() {
    return AzListView(
      cityList,
      topList: topList,
      itemView: (bean) => itemContentView(bean),
      itemHeight: 50,
      headView: itemHeaderView,
      headHeight: 30,
      tagView: tagView,
      displayRightOther: false,
    );
  }

  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: new AppBar(
        title: new Text('game'),
      ),
      body: contentView(),
    );
  }

  void load() {
    cityList.add(AzBean(name: "哈哈哈哈"));
    cityList.add(AzBean(name: "呵呵呵"));
    cityList.add(AzBean(name: "啦啦啦"));
    cityList.add(AzBean(name: "扣扣扣"));
    cityList.add(AzBean(name: "天天天"));
    cityList.add(AzBean(name: "九九九"));
    cityList.add(AzBean(name: "傻傻沙"));
    cityList.add(AzBean(name: "靠靠靠"));
    cityList.add(AzBean(name: "好好好"));
    cityList.add(AzBean(name: "什么事没什么"));
    cityList.add(AzBean(name: "来来来"));

    topList.add(AzBean(name: "北京市", headTag: "热门", rightTag: "★"));
    topList.add(AzBean(name: "广州市", headTag: "热门", rightTag: "★"));
    topList.add(AzBean(name: "成都市", headTag: "热门", rightTag: "★"));
    topList.add(AzBean(name: "深圳市", headTag: "热门", rightTag: "★"));
    topList.add(AzBean(name: "杭州市", headTag: "热门", rightTag: "★"));
    topList.add(AzBean(name: "武汉市", headTag: "热门", rightTag: "★"));

    setState(() {});
  }
}
